post
https://api-v3.authenticating.com/mock/identity/v2/passport/scan/status
This mimics the Check Upload Passport V2.
There are five possible scenarios which are covered in the mock APIs with userAccessCodes 100385a1-4308-49db-889f-9a898fa88c21, 2d91a19f-d07b-48f0-912f-886ed67009dd, 26682cb8-d672-4e0a-a26d-3b9a7cafab64, a423efc3-f12d-4f85-92a6-2a35129c5285 and 9cg686b3-ccb3-497c-a298-3830ea8a1c96.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
This endpoint mimics the Check Upload Passport V2 and returns preset responses based on the userAccessCode sent.
| userAccessCode | Status | Response |
|---|---|---|
100385a1-4308-49db-889f-9a898fa88c21 | 200 | verified: true with result as complete and documentType as PASSPORT. |
2d91a19f-d07b-48f0-912f-886ed67009dd | 200 | verified: false with result as id_expired and errorCode as USER_GOVT_ID_DOCUMENT_EXPIRED. |
26682cb8-d672-4e0a-a26d-3b9a7cafab64 | 200 | result as in_progress. |
a423efc3-f12d-4f85-92a6-2a35129c5285 | 200 | verified: false with result as parsing_failed and errorCode as IDENTITY_DOCUMENT_NOT_PARSED. |
9cg686b3-ccb3-497c-a298-3830ea8a1c96 | 503 | result as error with errorCode as USER_DOCUMENT_SCAN_UNAVAILABLE. |
